#include <ItemFilter/InvertedItemFilter/InvertedItemFilter.hpp>

InvertedItemFilter::InvertedItemFilter(std::unique_ptr<ItemFilter> &&inner) : inner(std::move(inner)) {}

bool InvertedItemFilter::matches(ItemStack &stack)
{
    return !inner->matches(stack);
}